Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Matcher\BlockMatcherFactory Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Matcher\BlockMatcherFactory:

## Public Member Functions
| __construct (ConfigResolverInterface $configResolver, Repository $repository)
| setSiteAccess (SiteAccess $siteAccess=null)
| Changes internal configuration to use the one for passed SiteAccess. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| __construct (Repository $repository, array $matchConfig=[])
| match (View $view)
| Checks if $valueObject has a usable configuration for $viewType. More...

## Protected Member Functions
| getMatcher ($matcherIdentifier)
Protected Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\BlockMatcherFactory
| doMatch (BaseMatcherInterface $matcher, View $view)
| Checks if $valueObject matches $matcher rules. More...
Protected Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| doMatch (MatcherInterface $matcher, View $valueObject)
| Checks if $valueObject matches $matcher rules. More...

## Private Attributes
| $configResolver

## Additional Inherited Members
Public Attributes inherited from eZ\Publish\Core\MVC\Symfony\Matcher\BlockMatcherFactory
const | MATCHER_RELATIVE_NAMESPACE = 'eZ\\Publish\\Core\\MVC\\Symfony\\Matcher\\Block'
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| $repository
| $matchConfig
| $matchers
| $matcherRelativeNamespace
| $alreadyMatched

## Detailed Description

Deprecated:
  Deprecated since 6.0, will be removed in 6.1.

Use the ServiceAwareMatcherFactory instead.

Definition at line 20 of file Bundle/EzPublishCoreBundle/Matcher/BlockMatcherFactory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Matcher\BlockMatcherFactory::__construct | ( | ConfigResolverInterface | $configResolver,
|  | Repository | $repository
| ) |  |

Definition at line 27 of file Bundle/EzPublishCoreBundle/Matcher/BlockMatcherFactory.php.

References eZ\Bundle\EzPublishCoreBundle\Matcher\BlockMatcherFactory\$configResolver, and eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory\$repository.

## Member Function Documentation

## ◆ getMatcher()

eZ\Bundle\EzPublishCoreBundle\Matcher\BlockMatcherFactory::getMatcher | ( |  | $matcherIdentifier | ) |
| protected

Parameters

  string | $matcherIdentifier |

Returns
  \eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\MatcherInterface

Reimplemented from eZ\Publish\Core\MVC\Symfony\Matcher\BlockMatcherFactory.

Definition at line 47 of file Bundle/EzPublishCoreBundle/Matcher/BlockMatcherFactory.php.

## ◆ setSiteAccess()

eZ\Bundle\EzPublishCoreBundle\Matcher\BlockMatcherFactory::setSiteAccess | ( | SiteAccess | $siteAccess = `null` | ) |

Changes internal configuration to use the one for passed SiteAccess.

Parameters

  SiteAccess | $siteAccess |

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\SiteAccessAware.

Definition at line 61 of file Bundle/EzPublishCoreBundle/Matcher/BlockMatcherFactory.php.

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishCoreBundle\Matcher\BlockMatcherFactory::$configResolver
| private

Definition at line 25 of file Bundle/EzPublishCoreBundle/Matcher/BlockMatcherFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Matcher\BlockMatcherFactory\__construct().

The documentation for this class was generated from the following file:

- Bundle/EzPublishCoreBundle/Matcher/BlockMatcherFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.